Subject: Re: bug#57907: 29.0.50; Using keywords with cl-loop

From: Gerd Möllmann <[email-masked]>
Date: Sun, 18 Sep 2022 15:01:05 +0200

Philip Kaludercic <[email-masked]> writes:

> Interesting, I did not know this.  But the point remains that Common
> Lisp's loop accepts both the symbol "a" from the "COMMON-LISP" package
> and from the "KEYWORD" package, right?

Right, from any package.  The reason is that otherwise one couldn't
write (loop repeat ...), for example, if a package defines its own
repeat symbol.

>> Wouldn't it be nice if Emacs finally decided to have Common Lisp packages?
>
> Yeah, if only we could convince Emacs to do that ;)

I could convince Emacs, amd I would even invest the effort doing this,
seriously.

But there are obstacles...

Hold on, I'm getting my popcorn out :-)